# Global Search

## [v0.5.1](https://github.com/Oppzippy/GlobalSearch/tree/v0.5.1) (2022-08-17)
[Full Changelog](https://github.com/Oppzippy/GlobalSearch/compare/v0.5.0...v0.5.1) [Previous Releases](https://github.com/Oppzippy/GlobalSearch/releases)

- Remove unintended line break  
- Don't sort results if all are weighted the same  
- Revert "Use heapsort in FullTextWordIndex Search"  
    I didn't realize I was measuring performance with an already sorted  
    array. When it's not sorted, heapsort is a bit slower than table.sort.  
- Optimize FlattenAndDeduplicate performance  
- Replace ipairs with standard for loop  
    Minor performance improvement  
- Use heapsort in FullTextWordIndex Search  
    It's more than twice as fast as table.sort (quicksort?) in this  
    specific case. It probably has something to do with table.sort  
    performing 4 times as many comparisons.  
- Optimize word value loop  
    A regular for loop instead of ipairs is a little under twice as fast here  
- Don't shadow global string  
- Chain gsub function calls together  
- Remove AddWord and inline the code in AddString for improved performance  
    It's around 15% faster this way  
- Add LimitedTooltip class for auto completion  
